## r-cran-ks 1.11.7

=== DESCRIPTION ===
Package: ks
Version: 1.11.7
Date: 2020-02-11
Title: Kernel Smoothing
Authors@R: c(person("Tarn", "Duong", role=c("aut","cre"), email="tarn.duong@gmail.com"),
             person("Matt", "Wand", role="ctb", email="Matt.Wand@uts.edu.au"),
             person("Jose", "Chacon", role="ctb", email="jechacon@unex.es"),
             person("Artur", "Gramacki", role="ctb", email="a.gramacki@issi.uz.zgora.pl"))
Maintainer: Tarn Duong <tarn.duong@gmail.com>
Depends: R (>= 2.10.0)
Imports: FNN (>= 1.1), kernlab, KernSmooth (>= 2.22), Matrix, mclust,
        mgcv, multicool, mvtnorm (>= 1.0-0)
Suggests: maps, MASS, misc3d (>= 0.4-0), OceanView, oz, rgl (>= 0.66)
Description: Kernel smoothers for univariate and multivariate data, including densities, density derivatives, cumulative distributions, clustering, classification, density ridges, significant modal regions, and two-sample hypothesis tests. Chacon & Duong (2018) <doi:10.1201/9780429485572>.   
License: GPL-2 | GPL-3
URL: http://www.mvstat.net/mvksa
NeedsCompilation: yes
Packaged: 2020-02-11 00:19:14 UTC; tduong
Author: Tarn Duong [aut, cre],
  Matt Wand [ctb],
  Jose Chacon [ctb],
  Artur Gramacki [ctb]
Repository: CRAN
Date/Publication: 2020-02-11 07:10:02 UTC

=== debian/changelog ===
r-cran-ks (1.11.7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 18 Feb 2020 12:26:51 +0100

r-cran-ks (1.11.6-2) unstable; urgency=medium

  * Package is GPL-2+
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jan 2020 20:54:19 +0100

r-cran-ks (1.11.6-1) unstable; urgency=medium

  * Initial release (closes: #948833)

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jan 2020 22:05:08 +0100

=== debian/control ===
Source: r-cran-ks
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-fnn,
               r-cran-kernlab,
               r-cran-kernsmooth,
               r-cran-matrix,
               r-cran-mclust,
               r-cran-mgcv,
               r-cran-multicool,
               r-cran-mvtnorm
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ks
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ks.git
Homepage: https://cran.r-project.org/package=ks

Package: r-cran-ks
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R kernel smoothing
 Kernel smoothers for univariate and multivariate data, including
 densities, density derivatives, cumulative distributions, clustering,
 classification, density ridges, significant modal regions, and two-
 sample hypothesis tests. Chacon & Duong (2018)
 <doi:10.1201/9780429485572>.

## r-cran-ks 1.13.3

=== DESCRIPTION ===
Package: ks
Version: 1.13.3
Date: 2021-12-17
Title: Kernel Smoothing
Authors@R: c(person("Tarn", "Duong", role=c("aut","cre"), email="tarn.duong@gmail.com", comment=c(ORCID="0000-0002-1198-3482")),
             person("Matt", "Wand", role="ctb", email="Matt.Wand@uts.edu.au", comment=c(ORCID="0000-0003-2555-896X")),
             person("Jose", "Chacon", role="ctb", email="jechacon@unex.es"),
             person("Artur", "Gramacki", role="ctb", email="a.gramacki@issi.uz.zgora.pl", comment=c(ORCID="0000-0002-1610-9743")))
Maintainer: Tarn Duong <tarn.duong@gmail.com>
Depends: R (>= 2.10.0)
Imports: FNN (>= 1.1), kernlab, KernSmooth (>= 2.22), Matrix, mclust,
        mgcv, multicool, mvtnorm (>= 1.0-0), plot3D, pracma
Suggests: geometry, MASS, misc3d (>= 0.4-0), oz, rgl (>= 0.66)
Description: Kernel smoothers for univariate and multivariate data, including densities, density derivatives, cumulative distributions, clustering, classification, density ridges, significant modal regions, and two-sample hypothesis tests. Chacon & Duong (2018) <doi:10.1201/9780429485572>.   
License: GPL-2 | GPL-3
URL: https://www.mvstat.net/mvksa/
NeedsCompilation: yes
Packaged: 2021-12-17 01:10:05 UTC; tduong
Author: Tarn Duong [aut, cre] (<https://orcid.org/0000-0002-1198-3482>),
  Matt Wand [ctb] (<https://orcid.org/0000-0003-2555-896X>),
  Jose Chacon [ctb],
  Artur Gramacki [ctb] (<https://orcid.org/0000-0002-1610-9743>)
Repository: CRAN
Date/Publication: 2021-12-17 03:30:02 UTC

=== debian/changelog ===
r-cran-ks (1.13.3-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 21 Dec 2021 11:49:47 +0100

r-cran-ks (1.13.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 16:02:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-fnn,
@@ -14,11 +14,14 @@
                r-cran-mclust,
                r-cran-mgcv,
                r-cran-multicool,
-               r-cran-mvtnorm
-Standards-Version: 4.5.0
+               r-cran-mvtnorm,
+               r-cran-plot3d,
+               r-cran-pracma
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ks
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ks.git
 Homepage: https://cran.r-project.org/package=ks
+Rules-Requires-Root: no
 
 Package: r-cran-ks
 Architecture: any

## r-cran-ks 1.13.5

=== debian/changelog ===
r-cran-ks (1.13.5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 04 May 2022 09:41:49 +0200

r-cran-ks (1.13.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 07:09:10 +0100

## r-cran-ks 1.14.0

=== DESCRIPTION ===
Package: ks
Version: 1.14.0
Date: 2022-11-24
Title: Kernel Smoothing
Authors@R: c(person("Tarn", "Duong", role=c("aut","cre"), email="tarn.duong@gmail.com", comment=c(ORCID="0000-0002-1198-3482")),
             person("Matt", "Wand", role="ctb", comment=c(ORCID="0000-0003-2555-896X")),
             person("Jose", "Chacon", role="ctb"),
             person("Artur", "Gramacki", role="ctb", comment=c(ORCID="0000-0002-1610-9743")))
Maintainer: Tarn Duong <tarn.duong@gmail.com>
Depends: R (>= 2.10.0)
Imports: FNN (>= 1.1), kernlab, KernSmooth (>= 2.22), Matrix, mclust,
        mgcv, multicool, mvtnorm (>= 1.0-0), plot3D, pracma
Suggests: geometry, MASS, misc3d (>= 0.4-0), oz, rgl (>= 0.66)
Description: Kernel smoothers for univariate and multivariate data, with comprehensive visualisation and bandwidth selection capabilities, including for densities, density derivatives, cumulative distributions, clustering, classification, density ridges, significant modal regions, and two-sample hypothesis tests. Chacon & Duong (2018) <doi:10.1201/9780429485572>.   
License: GPL-2 | GPL-3
URL: https://www.mvstat.net/mvksa/
NeedsCompilation: yes
Packaged: 2022-11-24 01:10:13 UTC; tduong
Author: Tarn Duong [aut, cre] (<https://orcid.org/0000-0002-1198-3482>),
  Matt Wand [ctb] (<https://orcid.org/0000-0003-2555-896X>),
  Jose Chacon [ctb],
  Artur Gramacki [ctb] (<https://orcid.org/0000-0002-1610-9743>)
Repository: CRAN
Date/Publication: 2022-11-24 03:40:02 UTC

=== debian/changelog ===
r-cran-ks (1.14.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2022 12:16:02 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                r-cran-mvtnorm,
                r-cran-plot3d,
                r-cran-pracma
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ks
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ks.git
 Homepage: https://cran.r-project.org/package=ks

## r-cran-ks 1.14.2

=== DESCRIPTION ===
Package: ks
Version: 1.14.2
Date: 2024-01-15
Title: Kernel Smoothing
Authors@R: c(person("Tarn", "Duong", role=c("aut","cre"), email="tarn.duong@gmail.com", comment=c(ORCID="0000-0002-1198-3482")),
             person("Matt", "Wand", role="ctb", comment=c(ORCID="0000-0003-2555-896X")),
             person("Jose", "Chacon", role="ctb"),
             person("Artur", "Gramacki", role="ctb", comment=c(ORCID="0000-0002-1610-9743")))
Maintainer: Tarn Duong <tarn.duong@gmail.com>
Depends: R (>= 2.10.0)
Imports: FNN (>= 1.1), kernlab, KernSmooth (>= 2.22), Matrix, mclust,
        mgcv, multicool, mvtnorm (>= 1.0-0), pracma
Suggests: geometry, MASS, misc3d (>= 0.4-0), oz, plot3D, rgl (>= 0.66)
Description: Kernel smoothers for univariate and multivariate data, with comprehensive visualisation and bandwidth selection capabilities, including for densities, density derivatives, cumulative distributions, clustering, classification, density ridges, significant modal regions, and two-sample hypothesis tests. Chacon & Duong (2018) <doi:10.1201/9780429485572>.   
License: GPL-2 | GPL-3
URL: https://www.mvstat.net/mvksa/
NeedsCompilation: yes
Packaged: 2024-01-15 05:48:47 UTC; tduong
Author: Tarn Duong [aut, cre] (<https://orcid.org/0000-0002-1198-3482>),
  Matt Wand [ctb] (<https://orcid.org/0000-0003-2555-896X>),
  Jose Chacon [ctb],
  Artur Gramacki [ctb] (<https://orcid.org/0000-0002-1610-9743>)
Repository: CRAN
Date/Publication: 2024-01-15 06:40:02 UTC

=== debian/changelog ===
r-cran-ks (1.14.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2024 23:00:50 +0100

r-cran-ks (1.14.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Sep 2023 13:34:25 +0200

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,8 @@
                r-cran-mgcv,
                r-cran-multicool,
                r-cran-mvtnorm,
-               r-cran-plot3d,
                r-cran-pracma
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ks
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ks.git
 Homepage: https://cran.r-project.org/package=ks

## r-cran-ks 1.14.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ks
-Version: 1.14.2
-Date: 2024-01-15
+Version: 1.14.3
+Date: 2024-09-20
 Title: Kernel Smoothing
 Authors@R: c(person("Tarn", "Duong", role=c("aut","cre"), email="tarn.duong@gmail.com", comment=c(ORCID="0000-0002-1198-3482")),
              person("Matt", "Wand", role="ctb", comment=c(ORCID="0000-0003-2555-896X")),
@@ -15,10 +15,10 @@
 License: GPL-2 | GPL-3
 URL: https://www.mvstat.net/mvksa/
 NeedsCompilation: yes
-Packaged: 2024-01-15 05:48:47 UTC; tduong
+Packaged: 2024-09-20 13:32:31 UTC; tduong
 Author: Tarn Duong [aut, cre] (<https://orcid.org/0000-0002-1198-3482>),
   Matt Wand [ctb] (<https://orcid.org/0000-0003-2555-896X>),
   Jose Chacon [ctb],
   Artur Gramacki [ctb] (<https://orcid.org/0000-0002-1610-9743>)
 Repository: CRAN
-Date/Publication: 2024-01-15 06:40:02 UTC
+Date/Publication: 2024-09-20 17:00:01 UTC

=== debian/changelog ===
r-cran-ks (1.14.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Oct 2024 14:15:17 +0900

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                r-cran-multicool,
                r-cran-mvtnorm,
                r-cran-pracma
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ks
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ks.git
 Homepage: https://cran.r-project.org/package=ks

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/ks_([-\d.]*)\.tar\.gz

## r-cran-ks 1.15.1

=== debian/changelog ===
r-cran-ks (1.15.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 26 Dec 2025 14:28:15 +0900

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,10 @@
                r-cran-mgcv,
                r-cran-multicool,
                r-cran-mvtnorm,
-               r-cran-pracma
-Standards-Version: 4.7.0
+               r-cran-pracma,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ks
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ks.git
 Homepage: https://cran.r-project.org/package=ks
